Index: u-boot-2/CREDITS
===================================================================
RCS file: /cvs/cvsrepos/CPCI-F30/sweng/u-boot-0.4.0/CREDITS,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -r1.1.1.1 -r1.2
--- u-boot-2/CREDITS	31 Jul 2003 04:46:52 -0000	1.1.1.1
+++ u-boot-2/CREDITS	1 Sep 2003 10:35:35 -0000	1.2
@@ -302,3 +302,9 @@
 N: Pantelis Antoniou
 E: panto@intracom.gr
 D: NETVIA board support, ARTOS support.
+
+N: Raghu Krishnaprasad
+E: Raghu.Krishnaprasad@fci.com
+D: Support for Adder-II MPC852T evaluation board
+W: http://www.forcecomputers.com
+
Index: u-boot-2/MAINTAINERS
===================================================================
RCS file: /cvs/cvsrepos/CPCI-F30/sweng/u-boot-0.4.0/MAINTAINERS,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -r1.1.1.1 -r1.2
--- u-boot-2/MAINTAINERS	31 Jul 2003 04:46:52 -0000	1.1.1.1
+++ u-boot-2/MAINTAINERS	1 Sep 2003 10:35:25 -0000	1.2
@@ -104,6 +104,10 @@
 
 	SXNI855T		MPC8xx
 
+Raghu Krishnaprasad <raghu.krishnaprasad@fci.com>
+	
+	ADDERII			MPC852T
+
 Thomas Frieden <ThomasF@hyperion-entertainment.com>
 
 	AmigaOneG3SE		MPC7xx
Index: u-boot-2/cpu/mpc8xx/cpu.c
===================================================================
RCS file: /cvs/cvsrepos/CPCI-F30/sweng/u-boot-0.4.0/cpu/mpc8xx/cpu.c,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- u-boot-2/cpu/mpc8xx/cpu.c	31 Jul 2003 11:59:05 -0000	1.2
+++ u-boot-2/cpu/mpc8xx/cpu.c	8 Aug 2003 05:21:25 -0000	1.3
@@ -87,7 +87,7 @@
 
 		/* this value is not documented anywhere */
 	case 0x40000000: pre = 'P'; suf = "D"; m = 1; break;
-	case 0x08000003: m = 1;
+	case 0x08000003: m = 1; break;
 
 	default: suf = NULL; break;
 	}
Index: u-boot-2/cpu/mpc8xx/cpu_init.c
===================================================================
RCS file: /cvs/cvsrepos/CPCI-F30/sweng/u-boot-0.4.0/cpu/mpc8xx/cpu_init.c,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -r1.1.1.1 -r1.2
--- u-boot-2/cpu/mpc8xx/cpu_init.c	31 Jul 2003 04:47:00 -0000	1.1.1.1
+++ u-boot-2/cpu/mpc8xx/cpu_init.c	8 Aug 2003 05:34:51 -0000	1.2
@@ -145,6 +145,7 @@
     defined(CONFIG_RPXCLASSIC)	|| \
     defined(CONFIG_RPXLITE)	|| \
     defined(CONFIG_SPD823TS)	|| \
+    defined(CONFIG_ADDERII)	|| \
    (defined(CONFIG_MPC860T) && defined(CONFIG_FADS))
 
 	memctl->memc_br0 = CFG_BR0_PRELIM;
Index: u-boot-2/include/configs/AdderII.h
===================================================================
RCS file: /cvs/cvsrepos/CPCI-F30/sweng/u-boot-0.4.0/include/configs/AdderII.h,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- u-boot-2/include/configs/AdderII.h	6 Aug 2003 12:48:33 -0000	1.2
+++ u-boot-2/include/configs/AdderII.h	8 Aug 2003 05:35:26 -0000	1.3
@@ -35,13 +35,24 @@
 #define CONFIG_BAUDRATE		38400
 #define CONFIG_LOADS_ECHO	1
 
+/* FEC Ethernet controller configurations */
+#define CONFIG_FEC_ETH		1
+#define CONFIG_NET_MULTI	1
+#define FEC_ENET		1
+
+/* Interrupt level assignments.
+*/
+#define FEC_INTERRUPT   	SIU_LEVEL3      /* FEC interrupt */
+
 /* Older kernels need clock in MHz newer in Hz */
 #define CONFIG_CLOCKS_IN_MHZ	1
 
 /* Monitor Functions */
 #define CONFIG_COMMANDS		( CFG_CMD_FLASH | \
 				  CFG_CMD_MEMORY| \
+				  CFG_CMD_NET   | \
 				  CFG_CMD_ENV	| \
+				  CFG_CMD_PING  | \
 				  CFG_CMD_SDRAM ) 
 
 /* this must be included AFTER the definition of CONFIG_COMMANDS (if any) */
@@ -197,7 +208,8 @@
 
 /* For AdderII BR1 SDRAM */
 
-#define  CFG_PRELIM_OR1_AM 	0xFF800000 
+#define CFG_PRELIM_OR1_AM 	0xFF800000 
+#define CFG_OR1_REMAP		( CFG_PRELIM_OR1_AM | OR_CSNT_SAM | OR_ACS_DIV2 )
 #define CFG_OR1_PRELIM  	( CFG_PRELIM_OR1_AM | OR_CSNT_SAM | OR_ACS_DIV2 )
 #define CFG_BR1_PRELIM  	( CFG_SDRAM_BASE | BR_MS_UPMA | BR_V )
 
